package com.ruoyi.project.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.system.mapper.SysUserNoticeMapper;
import com.ruoyi.project.system.domain.SysUserNotice;
import com.ruoyi.project.system.service.ISysUserNoticeService;

/**
 * 用户通知关联Service业务层处理
 *
 * @author ruoyi
 * @date 2021-10-15
 */
@Service
public class SysUserNoticeServiceImpl implements ISysUserNoticeService
{
    @Autowired
    private SysUserNoticeMapper sysUserNoticeMapper;

    /**
     * 查询用户通知关联
     *
     * @param userId 用户通知关联ID
     * @return 用户通知关联
     */
    @Override
    public SysUserNotice selectSysUserNoticeById(Long userId)
    {
        return sysUserNoticeMapper.selectSysUserNoticeById(userId);
    }

    /**
     * 查询用户通知关联列表
     *
     * @param sysUserNotice 用户通知关联
     * @return 用户通知关联
     */
    @Override
    public List<SysUserNotice> selectSysUserNoticeList(SysUserNotice sysUserNotice)
    {
        return sysUserNoticeMapper.selectSysUserNoticeList(sysUserNotice);
    }

    /**
     * 新增用户通知关联
     *
     * @param sysUserNotice 用户通知关联
     * @return 结果
     */
    @Override
    public int insertSysUserNotice(SysUserNotice sysUserNotice)
    {
        return sysUserNoticeMapper.insertSysUserNotice(sysUserNotice);
    }

    /**
     * 修改用户通知关联
     *
     * @param sysUserNotice 用户通知关联
     * @return 结果
     */
    @Override
    public int updateSysUserNotice(SysUserNotice sysUserNotice)
    {
        return sysUserNoticeMapper.updateSysUserNotice(sysUserNotice);
    }

    /**
     * 批量删除用户通知关联
     *
     * @param userIds 需要删除的用户通知关联ID
     * @return 结果
     */
    @Override
    public int deleteSysUserNoticeByIds(Long[] userIds)
    {
        return sysUserNoticeMapper.deleteSysUserNoticeByIds(userIds);
    }

    /**
     * 删除用户通知关联信息
     *
     * @param userId 用户通知关联ID
     * @return 结果
     */
    @Override
    public int deleteSysUserNoticeById(Long userId)
    {
        return sysUserNoticeMapper.deleteSysUserNoticeById(userId);
    }

//    @Override
//    public List<SysUserNotice> selectAllFileList(SysUserNotice sysUserNotice) {
//        return sysUserNoticeMapper.selectAllFileList(sysUserNotice);
//    }
}
